AuthorizationHelper.EntityKind (server-original-data-store 7.0.0-rc.3+1777024182 API)
Description: declaration: package: ch.systemsx.cisd.etlserver.registrator.api.v2.impl, class: AuthorizationHelper, enum: EntityKind

Package ch.systemsx.cisd.etlserver.registrator.api.v2.impl

# Enum Class AuthorizationHelper.EntityKind

java.lang.Object
java.lang.Enum<AuthorizationHelper.EntityKind>
ch.systemsx.cisd.etlserver.registrator.api.v2.impl.AuthorizationHelper.EntityKind

All Implemented Interfaces:
  `Serializable`, `Comparable<AuthorizationHelper.EntityKind>`, `Constable`

Enclosing class:
  `AuthorizationHelper`

public static enum AuthorizationHelper.EntityKind extends Enum<AuthorizationHelper.EntityKind>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DATA_SET`
  `EXPERIMENT`
  `SAMPLE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AuthorizationHelper.EntityKind`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AuthorizationHelper.EntityKind[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EXPERIMENT

    public static final AuthorizationHelper.EntityKind EXPERIMENT

  - ### SAMPLE

    public static final AuthorizationHelper.EntityKind SAMPLE

  - ### DATA_SET

    public static final AuthorizationHelper.EntityKind DATA_SET

- ## Method Details

  - ### values

    public static AuthorizationHelper.EntityKind[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AuthorizationHelper.EntityKind valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null